package com.qmth.sop.business.bean.result;

import com.qmth.sop.common.enums.RegionManagerSelectedTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description: 派单绑定信息
 * @Author: CaoZixuan
 * @Date: 2024-05-17
 */
public class CrmBindResult {

    @ApiModelProperty("大区经理指定方式")
    private RegionManagerSelectedTypeEnum leadType;

    @ApiModelProperty("大区经理")
    private Long leadId;

    @ApiModelProperty("大区经理名称")
    private String leadName;

    @ApiModelProperty("是否可以编辑")
    private boolean canEdit;

    @ApiModelProperty("同客户同服务单元的派单id集合")
    private List<Long> similarCrmIdList;

    @ApiModelProperty("客户名称")
    private String customName;

    public RegionManagerSelectedTypeEnum getLeadType() {
        return leadType;
    }

    public void setLeadType(RegionManagerSelectedTypeEnum leadType) {
        this.leadType = leadType;
    }

    public Long getLeadId() {
        return leadId;
    }

    public void setLeadId(Long leadId) {
        this.leadId = leadId;
    }

    public String getLeadName() {
        return leadName;
    }

    public void setLeadName(String leadName) {
        this.leadName = leadName;
    }

    public boolean isCanEdit() {
        return canEdit;
    }

    public void setCanEdit(boolean canEdit) {
        this.canEdit = canEdit;
    }

    public List<Long> getSimilarCrmIdList() {
        return similarCrmIdList;
    }

    public void setSimilarCrmIdList(List<Long> similarCrmIdList) {
        this.similarCrmIdList = similarCrmIdList;
    }

    public String getCustomName() {
        return customName;
    }

    public void setCustomName(String customName) {
        this.customName = customName;
    }
}
